/**
 * 
 */
package dk.jkkn.util.swixml;

import org.jdom.Attribute;
import org.swixml.Converter;
import org.swixml.Localizer;

/**
 * @author Kristian Krmmer Nielsen <jkkn@jkkn.dk>
 */
public class ClassNameConverter implements Converter {

	/**
	 * This implements conversion from a string classname into a real class
	 * 
	 * @param type Type we are converting to (Class.class)
	 * @param attr Attribute we are to convert
	 * @param localizer Localizer we should use (not used)
	 * @see org.swixml.Converter#convert(java.lang.Class, org.jdom.Attribute,
	 *      org.swixml.Localizer)
	 */
	@SuppressWarnings("unchecked")
	@Override
	public Object convert(final Class type, final Attribute attr,
			final Localizer localizer) throws Exception {
		if (attr != null && attr.getValue() != null)
			return Class.forName(attr.getValue());
		return null;
	}

	/**
	 * We convert to Class.class
	 * 
	 * @see org.swixml.Converter#convertsTo()
	 */
	@Override
	public Class<?> convertsTo() {
		return Class.class;
	}

}
